WESNOTHD(6)

NIMI
wesnothd - Battle for Wesnothi mitmemängija-võrgumoodul

LÜHIDALT
wesnothd [-dv] [-c kataloog] [-p port] [-t number] [-T number]
wesnothd -V

KIRJELDUS
Haldab Wesnothi Lahingu mitmemängija mänge. Vt http://www.wesnoth.org/wiki/ServerAdministration käskude kohta, mida saab anda klientprogrammist (/query ...) või käsujärjekorra kaudu..

VALIKUD

-c kataloog, --config kataloog
    ütleb wesnothd-le häälestusfailide asukoha. Vt süntaksi SERVER CONFIG alt. Häälestust saab uuesti laadida, saates serveriprotsessile käsu SIGHUP.

-d, --daemon
    käitab wesnothd taustarežiimis (daemon)

-h, --help
    ütleb, mida käsureavalikud teevad.

--log-level=domain1,domain2,...
    määrab logimise taseme. all valib kõik tasemed. Tasemeteks on: error, warning, info, debug. Vaikimisi on kasutusel error ning serveri jaoks info.

-p port, --port port
    seob serveri konkreetse pordiga. Kui muud pole määratud, on kasutusel 15000.

-t arv, --threads arv
    määrab võrgu S/V lõimede maksimumarvu (vaikimisi: 5, maksimum: 30).

-T arv, --max-threads arv
    määrab maksimaalse lõimede arvu. Kui 0, siis piirang puudub (vaikimisi: 0).

-V, --version
    näitab versiooninumbrit ja väljub programmist.

-v, --verbose
    lülitab silumislogi sisse.

SERVERIHÄÄLESTUS

  Üldsüntaks on järgmine:

[tag]

    klahv="väärtus"

    klahv="väärtus,väärtus,..."

[/tag]

  Globaalsed võtmed:

allow_remote_shutdown
    Negatiivse väärtuse (vaikimisi) korral ignoreeritakse kõiki sulgemis- ja taaskäivituskäske peale FIFO omade. Positiivse (jah) väärtuse korral lubab administraatoril mängu eemalt sulgeda.

ban_save_file
    Absoluutne või suhteline kataloogitee (gzip-pakitud) failini, mida server saab lugeda ja kirjutada. Keelud salvestatakse sellesse faili ja loetakse serveri käivitamisel sisse.

compress_stored_rooms
    Määrab, kas ruumidefaili saab lugeda ja kirjutada pakitud kujul. Vaikimisi on 'jah'.

connections_allowed
    Lubatud ühenduste arv samalt IP-aadressilt. 0 tähendab lõputut hulka. (vaikimisi: 5)

disallow_names
    Nimed ja hüüdnimed, mida server ei tunnista. Metamärgid `*' ja `?' on toetatud. Lisainfoks vt. glob(7) . Vaikimisi väärtused (kui muud ei määrata) on: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Serveri käsujärjekorra (FIFO) kataloog (nagu wesnothi /query ... ). Kui pole määratud, kasutatakse kompileerimisaegset vaikimisi väärtust (vaikimisi: /var/run/socket/wesnothd/socket).

max_messages
    Lubatud sõnumite arv perioodil messages_time_period. (vaikimisi: 4)

messages_time_period
    Ajavahemik (sekundites), mille jooksul kontrollitakse sõnumitega üleujutamist (vaikimisi: 10 sekundit).

motd
    Päevasõna.

new_room_policy
    Määrab, kes saab serveris uusi ruume luua. Võimalikud väärtused on 'everyone' (igaüks), 'registered' (registreeritud kasutajad), 'admin' (haldur) ja 'nobody' (mitte keegi). Vaikimisi väärtuseks on 'everyone'.

passwd
    Administraatori salasõna (vt /query adminparool).

replay_save_path
    Mängusalvestuste kataloog. (Ära unusta alguse kaldkriipsu!) Vaikmisi on `' ehk wesnothd käivituskataloog.

restart_command
    Käsk, mida server kasutab uue serveriprotsessi käivitamiseks läbi `restart'-käsu. (Kasutatav vaid käsujärjekorra kaudu. Vt allow_remote_shutdown -sätet.)

room_save_file
    Kataloogitee ruumiandmete failini. Seda faili loetakse serveri käivitumisel ja hiljem ka kirjutatakse sinna. Kui see on tühi või määramata, siis ruume ei laeta ega salvestata.

save_replays
    Määrab, kas server salvestab mängu käigu automaatselt. (vaikimisi: false).

versions_accepted
    Komadega eraldatud tunnusstringide loetelu, mida server tunnistab. Metamärgid `*' and `?' on toetatud. (vaikimisi on vastav Wesnothi versioon)
    N: versions_accepted="*" tunnistab kõiki versioone.

user_handler
    Kasutajahalduri nimi. Hetkel on saadaval 'forum' (wesnothd ühendamiseks phpbb foorumi andmebaasiga) ja 'sample' (näitrealisatsioon kasutajate haldusliidesest. Kes seda tegelikult kasutab, on hull). Vaikimisi väärtuseks on 'forum'. Pead ka lisama [user_handler]-sektsiooni.

  Globaalsed märgendid:

[redirect] Määrab serveri, kuhu kindlad klienttarkvara versioonid suunatakse.

    host
        Ümbersuunatava serveri aadress.

    port
        Port, kuhu ühendutakse.

    version
        Komadega eraldatud nimekiri ümbersuunatavatest versioonidest. Metamärkide osas käitub nagu versions_accepted.

[ban_time] Võtmesõnade määramiseks ajutiste keeldude nimekirja jaoks.

    name
        Nimi keeluajale viitamiseks.

    time
        Ajapikkuse defineerimine. Vorming:: %d[%s[%d%s[...]]] , kus %s on s (sekundid), m (minutid), h (tunnid), D (päevad), M (kuud) või Y (aastad) ja %d on arv. Kui pole määratud, kasutatakse m-i (minutid). N: time="1D12h30m" annab keelu pikkuseks 1 päeva, 12 tundi ja 30 minutit.

[proxy] Käsib serveril toimida puhvrina ja edastada ühendunud kliendi soovid konkreetsele serverile. Samad võtmed kui [redirect] juures.

[user_handler] Käivitab kasutajahalduri. Võtmed sõltuvad konkreetsest haldurist, mis määratakse user_handler võtmega. Kui [user_handler] -sektsioon on häälestusfailis olemas, toimib server ilma kasutajate registreerimiseta.

    db_host
        (user_handler=forum korral) Andmebaasiserveri masina nimi

    db_name
        (handler=forum jaoks) Andmebaasi nimi

    db_user
        (user_handler=forum jaoks) Kasutajanimi, millega baasi sisse logida

    db_password
        (user_handler=forum jaoks) Kasutaja salasõna

    db_users_table
        (user_handler=forum jaoks) Tabeli nimi, kuhu salvestatakse phpbb foorumi kasutajainfo. Tõenäoliselt on see <table-prefix>_users (e.g. phpbb3_users).

    db_extra_table
        (user_handler=forum jaoks) Tabeli nimi, kuhu wesnothd salvestab kasutajainfo. See tuleb luua käsitsi. N: CREATE TABLE <tabel>(kasutaja VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
         (user_handler=sample jaoks). Aeg päevades, mille möödumisel konto aegub.

[mail] Häälestab SMTP-serveri, mille kaudu kasutajahaldur saab saata e-kirju. Praegu saadaval vaid 'sample'-kasutajahaldurile..

    server
        Postiserveri nimi

    username
        Postiserveri kasutajanimi

    password
        Kasutaja parool.

    from_address
        Sinu sõnumi vastuseaadress.

    mail_port
        Port, kus e-postiserver jookseb. Vaikimisi on see 25.

VÄLJUMISOLEK
Tavapärane väljumisolek on 0, kui server korralikult peatati. Olek 2 tähistab käsureaparameetrite viga.

AUTOR
Kirjutaja David White <davidnwhite@verizon.net>. Muutjad: Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> ja Thomas Baumhauer <thomas.baumhauer@gmail.com>. Selle manuaalilehe algne autor oli Cyril Bouthors <cyril@bouthors.org>.
Külasta ametlikku kodulehte: http://www.wesnoth.org/

AUTORIÕIGUS
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
See on vaba tarkvara - see tarkvara kasutab Vaba Tarkvara Sihtasutuse koostatud GPL litsentsi versiooni 2. Garantiid EI OLE, isegi mitte müügikõlbulikkuse või kindlaks otstarbeks kasutuskõlbulikkuse suhtes.

LISAINFO
wesnoth(6).